#line 1316 "mcdep.nw"
#include <cstdio>
#include <sys/stat.h>
#include <cstring>
#include "FileLines.h"
#line 1093 "mcdep.nw"
FileLines::FileLines(const char* filename, long int  preSize) : 
   _buffer(0), _ok(false)
{
   
#line 1111 "mcdep.nw"
struct stat  statVals;
FILE*  file = 0; // init to silent warning
if (_ok = (preSize != -1))
{
   statVals.st_size = preSize;
}
else
{
   _ok = (stat(filename, &statVals) == 0);
}
#line 1125 "mcdep.nw"
_ok = _ok && ((file = fopen(filename, "r")) != 0);
if (_ok)
{
   unsigned long  size = statVals.st_size;
   _buffer = new char[statVals.st_size + 1];
   _ok = (fread(_buffer, 1, size, file) == size) &&
         ((size == 0) || makeLines(size));
   fclose(file);
}
#line 1097 "mcdep.nw"
}
#line 1142 "mcdep.nw"
bool  FileLines::makeLines(unsigned long size)
{
   char*  curr = _buffer;
   char*  endFilePos = _buffer + size;
   *endFilePos = '\0';
   while (curr)
   {
      _lines.push_back(curr);
      char* endLine = strchr(curr, '\n');
      curr = 0;
      if (endLine)
      {
         *endLine = '\0';
         if (endLine != endFilePos)
         {
            curr = endLine + 1;
         }
      }
   }
   return true;
}
