#line 242 "mcdep.nw"
#include "IncComponent.h"
#include <string>
#line 280 "mcdep.nw"
#include <iostream>
#include <sys/stat.h>
#include "tools.h"
int IncComponent::hasMatch
#line 273 "mcdep.nw"
(const string& fileTailName,
 string&       fileName,
 string&       fileSymbolicName,
 string&       locDirSym,
 bool          verbose) const
#line 284 "mcdep.nw"
{
   int  size = -1;
   fileName = prependDir(_directory, fileTailName);
   struct  stat  statBuf;
   const char*  cfn = fileName.c_str();
   if (verbose) 
   {
      cerr << "Check for \"" << cfn << "\"" << endl;
   }
   if (stat(cfn, &statBuf) == 0)
   {
      size = statBuf.st_size;
      fileSymbolicName = prependDir(_symbolic, fileTailName);
      string  tDir = uptoDir(fileTailName);
      locDirSym = (tDir.empty() ? _symbolic : prependDir(_symbolic, tDir));
   }
   return  size;
}
