#line 219 "mcdep.nw"
#if !defined(IncComponent_H)
#define IncComponent_H
#include <string> // how else can we just declare 'string' type?

class IncComponent
{
 public:
   IncComponent(const string& d = "", 
                const string& s = "") :
      _directory(d), _symbolic(s) {}
   const string&  directory() const {return _directory;}
   const string&  symbolic()  const {return _symbolic;}
   
#line 269 "mcdep.nw"
int hasMatch
#line 273 "mcdep.nw"
(const string& fileTailName,
 string&       fileName,
 string&       fileSymbolicName,
 string&       locDirSym,
 bool          verbose) const
#line 269 "mcdep.nw"
				     ;
#line 232 "mcdep.nw"
 private:
   string  _directory;
   string  _symbolic;
};

#endif /* IncComponent_H */
